> For the complete documentation index, see [llms.txt](https://docs.evitalrx.in/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.evitalrx.in/api-for-b2b/orders/order-return-list.md).

# Order Return List

<mark style="color:green;">`POST`</mark> [`{{apiUrl}}b2b/return/list`](https://api.evitalrx.in/v1/b2b/return/list)

#### Request Body

| Name                                          | Type   | Description                                                                                                                                                                   |
| --------------------------------------------- | ------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| start\_date<mark style="color:red;">\*</mark> | Date   | <p>Date of the bill.</p><p>Format: YYYY-MM-DD</p>                                                                                                                             |
| end\_date<mark style="color:red;">\*</mark>   | Date   | <p>Date of the bill.</p><p>Format: YYYY-MM-DD</p>                                                                                                                             |
| apikey<mark style="color:red;">\*</mark>      | String | Authentication token                                                                                                                                                          |
| order\_number                                 | String | Unique order number which got generated while saving order                                                                                                                    |
| bill\_no                                      | String | The number of the bill like for eg. 1, 2, 3...                                                                                                                                |
| reference\_number                             | Number | Generated reference number to bill for eg. 1, 2, 3...                                                                                                                         |
| buyer\_chemist\_id                            | String | Id to uniquely identify the chemist for whom the order is saved                                                                                                               |
| searchstring                                  | String | <p>Min: 3 char required, accepts:<br>1. pharmacy\_name<br>2. area</p>                                                                                                         |
| payment\_status                               | Number | <p>To choose payment mode of the order.</p><p>1: CASH</p><p>2: CREDIT</p><p>3: UPI</p><p>4: CHEQUE</p><p>5: PAYTM</p><p>6: CC/DC</p><p>7: RTGS/NEFT</p>                       |
| orderby                                       | String | <p>Field to order results by, accepts:<br>1. reference\_number<br>2. bill\_no<br>3. bill\_date<br>4. created\_date (default)<br>5. pharmacy\_name<br>6. amount<br>7. area</p> |
| order                                         | String | <p>Order direction, accepts:<br>1. asc<br>2. desc (default)</p>                                                                                                               |
| remark                                        | String | Note for the Prescription if any                                                                                                                                              |

{% tabs %}
{% tab title="200: OK Success" %}

```json
{
    "status_code": "1",
    "status_message": "Success",
    "datetime": "2024-10-01 15:27:42",
    "data": {
        "rpp": 20,
        "current_page": 1,
        "staff_list": [
            {
                "id": "pAUYuNJCJxZDFD5U4Nq/ZQ==",
                "fullname": "Owner",
                "status": "active",
                "entity": "chemist",
                "role_id": "aBs1Hvl3Duj0n3tGG09Biw=="
            },
            {
                "id": "AUggj/Nbe8fOBBWEUBAysA==",
                "firstname": "Raju",
                "lastname": "R",
                "status": "active",
                "role_id": "S7BTDcQD0IFOO7ypLxnmRg==",
                "role_name": "Store Manager",
                "fullname": "Raju R",
                "entity": "staff"
            }
        ],
        "results": [
            {
                "id": "tktJBTVofF3vGazDa6GlOQ==", // Rturn Order ID
                "buyer_chemist_id": "9RraDPXEXeI+7FJlRkv7Kw==",
                "chemist_id": "pAUYuNJCJxZDFD5U4Nq/ZQ==",
                "area": "",
                "reference_number": 58,
                "bill_no": "",
                "bill_date": "2024-09-24",
                "amount": 847,
                "payment_status": 2,
                "order_number": "0340854368",
                "order_by_id": "pAUYuNJCJxZDFD5U4Nq/ZQ==",
                "order_by_entity": "chemist",
                "order_by_name": "Owner",
                "created_date": "2024-10-01 15:07:08",
                "remark": "",
                "pharmacy_name": "rrr",
                "einvoice_url": "",
                "mobile": "7656789034",
                "total": 0
            },
            {
                "id": "f4Prpako4VmiRuhdUA8gYg==",
                "buyer_chemist_id": "9RraDPXEXeI+7FJlRkv7Kw==",
                "chemist_id": "pAUYuNJCJxZDFD5U4Nq/ZQ==",
                "area": "",
                "reference_number": 57,
                "bill_no": "",
                "bill_date": "2024-09-24",
                "amount": 847,
                "payment_status": 2,
                "order_number": "3983669004",
                "order_by_id": "pAUYuNJCJxZDFD5U4Nq/ZQ==",
                "order_by_entity": "chemist",
                "order_by_name": "Owner",
                "created_date": "2024-10-01 14:56:06",
                "remark": "",
                "pharmacy_name": "rrr",
                "einvoice_url": "",
                "mobile": "7656789034",
                "total": 0
            }
        ]
    }
}
```

{% endtab %}

{% tab title="200: OK Validation Error" %}

```json
{
    "status_code": "0",
    "status_message": "start_date is required",
    "datetime": "2024-10-01 15:28:28",
    "data": null
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.evitalrx.in/api-for-b2b/orders/order-return-list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
